Package ru.bitel.bgbilling.plugins.dispatch.server.event

# Class DispatchEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.plugins.dispatch.server.event.DispatchEvent

All Implemented Interfaces:
  `Serializable`

public class DispatchEvent extends ru.bitel.bgbilling.kernel.event.common.Event
Событие, которое бросается в момент создания/редактирования рассылки.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DispatchEvent()`
  ``
  `DispatchEvent(int pluginId, Dispatch dispatch, boolean isCreated, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Dispatch`
  `getDispatch()`
  Получение созданной/отредактированной рассылки.
  `boolean`
  `isCreated()`
  Флаг, сообщающий о том, была рассылка создана или отредактирована.
  `void`
  `setCreated(boolean created)`
  Установка флага, сообщающего о том, была рассылка создана или отредактирована.
  `void`
  `setDispatch(Dispatch dispatch)`
  Установка созданной/отредактированной рассылки.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DispatchEvent

    protected DispatchEvent()

  - ### DispatchEvent

    public DispatchEvent(int pluginId, Dispatch dispatch, boolean isCreated, int userId)

- ## Method Details

  - ### getDispatch

    public Dispatch getDispatch()
    Получение созданной/отредактированной рассылки.
    Returns:
      созданная/отредактированная рассылка.

  - ### setDispatch

    public void setDispatch(Dispatch dispatch)
    Установка созданной/отредактированной рассылки.
    Parameters:
      `dispatch` - созданная/отредактированная рассылка.

  - ### isCreated

    public boolean isCreated()
    Флаг, сообщающий о том, была рассылка создана или отредактирована.
    Returns:
      true - рассылка была создана, false - была отредактирована.

  - ### setCreated

    public void setCreated(boolean created)
    Установка флага, сообщающего о том, была рассылка создана или отредактирована.
    Parameters:
      `created` - true - рассылка была создана, false - была отредактирована.